Loading...
Searching...
No Matches
volk_16i_branch_4_state_8.h File Reference
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <emmintrin.h>`
`#include <tmmintrin.h>`
`#include <xmmintrin.h>`

Go to the source code of this file.

## Functions

static void | volk_16i_branch_4_state_8_a_ssse3 (short *target, short *src0, char **permuters, short *cntl2, short *cntl3, short *scalars)
static void | volk_16i_branch_4_state_8_generic (short *target, short *src0, char **permuters, short *cntl2, short *cntl3, short *scalars)

## Function Documentation

## volk_16i_branch_4_state_8_a_ssse3()

void volk_16i_branch_4_state_8_a_ssse3 | ( | short * | target,
|  | short * | src0,
|  | char ** | permuters,
|  | short * | cntl2,
|  | short * | cntl3,
|  | short * | scalars )

inline static

## volk_16i_branch_4_state_8_generic()

void volk_16i_branch_4_state_8_generic | ( | short * | target,
|  | short * | src0,
|  | char ** | permuters,
|  | short * | cntl2,
|  | short * | cntl3,
|  | short * | scalars )

inline static